# ext_m2_ReactNewsletter
This module will replace the default Magento newsletter signup with a version written in ReactJS utilising GraphQL.

## Installation
Use the package manager [composer](https://getcomposer.org/) to install the module.  
```bash  
composer require pinpoint/reactnewsletter 
```  

First you will need to `cd` into  `vendor/pinpoint/reactnewsletter/view/frontend` folder. Once here, make sure you're using `node@9.6.1`. Once switching to this version run the following commands:
```bash
npm install
npm run build
```
These will use *webpack & babel* to transpile the *ReactJS ES6* into *ES5* so this can be bundled into a `.js` file ready to be included in the browser. It will also build the `.phtml` file into the `templates` folder to render the component.

Once this is completed thats it! Reload your page and your newsletter signup will now be swapped for the ReactJS version!
## Screenshot
![Luma Example](screenshot.png)