import React from 'react';
import Button from 'react-bootstrap-button-loader';

class Submit extends React.Component {
    render() {
        return (
            <div className="actions">
                <Button onClick={this.props.clickHandler}
                        loading={this.props.buttonLoading}
                        disabled={this.props.disabled}
                        variant={this.props.buttonState}>
                    {this.props.text}
                </Button>
            </div>
        );
    }
}

export default Submit;